
{
  pkgs,
  lib,
  inputs,
  ...
}: {
  programs.qutebrowser = {
    enable = true;

    settings = {
      content.cookies.accept = "no-3rdparty";
      url = {
        default_page = "https://searx.be/";
        start_pages = "https://searx.be/";
      };
    };

    searchEngines = {
      DEFAULT = "https://searx.be/?q={}";
    };

    extraConfig = ''
      host = c.content.blocking.hosts.lists.append
      host("https://www.github.developerdan.com/hosts/lists/facebook-extended.txt")

      abp = c.content.blocking.adblock.lists.append
      abp("https://fanboy.co.nz/r/fanboy-ultimate.txt")
      abp("https://fanboy.co.nz/fanboy-antifacebook.txt")
      abp("https://fanboy.co.nz/fanboy-annoyance.txt")
      abp("https://fanboy.co.nz/fanboy-cookiemonster.txt")
      abp("https://easylist-downloads.adblockplus.org/antiadblockfilters.txt")
      abp("https://easylist-downloads.adblockplus.org/abp-filters-anti-cv.txt")

      abp("https://github.com/DandelionSprout/adfilt/raw/master/LegitimateURLShortener.txt")
      abp("https://github.com/DandelionSprout/adfilt/raw/master/AnnoyancesList")
      abp("https://github.com/DandelionSprout/adfilt/raw/master/SocialShareList.txt")
      abp("https://github.com/DandelionSprout/adfilt/raw/master/ExtremelyCondensedList.txt")
    '';
  };
}
